#!/bin/bash
root="/opt/easybuild/soft/2021b/software/impi/2021.4.0-intel-compilers-2021.4.0"

module purge
module load intel-compilers/2021.4.0
module load UCX/.1.11.2-GCCcore-11.2.0

export CMAKE_PREFIX_PATH=$root
export CPATH=$root/mpi/2021.4.0/include
export FI_PROVIDER_PATH=$root/mpi/2021.4.0/libfabric/lib/prov
export LD_LIBRARY_PATH=$root/mpi/2021.4.0/lib
export LD_LIBRARY_PATH=$root/mpi/2021.4.0/lib/release:$LD_LIBRARY_PATH
export LD_LIBRARY_PATH=$root/mpi/2021.4.0/libfabric/lib:$LD_LIBRARY_PATH
export LIBRARY_PATH=$root/mpi/2021.4.0/lib
export LIBRARY_PATH=$root/mpi/2021.4.0/lib/release:$LIBRARY_PATH
export LIBRARY_PATH=$root/mpi/2021.4.0/libfabric/lib:$LIBRARY_PATH
export MANPATH=$root/mpi/2021.4.0/man
export PATH=$root/mpi/2021.4.0/bin:$PATH
export PATH=$root/mpi/2021.4.0/libfabric/bin:$PATH

export I_MPI_ROOT=/opt/easybuild/soft/2021b/software/impi/2021.4.0-intel-compilers-2021.4.0/mpi/2021.4.0
export UCX_TLS="/all"
